Bug 63022 - XChat gives font error on startup
Summary: XChat gives font error on startup
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xchat   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 61901
TreeView+ depends on / blocked
 
Reported: 2002-04-09 13:19 UTC by Wade Minter
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-16 18:15:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wade Minter 2002-04-09 13:19:47 UTC
Description of Problem:

When I start Xchat, it pops up to warning dialogs.  They say:

Cannot open font:
-*-fixed-medium-r-normal-*-14-*-*-*-c-*-*-*

I did a custom install without legacy X servers, if that helps.

Comment 1 Mike A. Harris 2002-04-09 13:46:33 UTC
What xchat version-release, what XFree86 version-release?  Please always
indicate this information when reporting bugs against rawhide or betas.

There was a fixed font problem in XFree86 which was fixed in 4.2.0-6.52

Comment 2 Wade Minter 2002-04-09 14:03:57 UTC
Sorry 'bout that.

[minter@localhost minter]$ rpm -q xchat
xchat-1.8.8-4
[minter@localhost minter]$ rpm -q XFree86
XFree86-4.2.0-6.52
[minter@localhost minter]$


Comment 3 Mike A. Harris 2002-04-10 00:11:33 UTC
Try xchat 1.8.8-5.  Also make sure you've got 4.2.0-6.52 packages of
ALL of the XFree86 rpm's, including fonts.

rpm -qa |grep XFree86

The font XLFD you've given above results in a small fixed font on my machine.

Comment 4 Wade Minter 2002-04-10 13:47:02 UTC
Moved to -5, same font problem.

[minter@localhost minter]$ rpm -qa |grep XFree86
XFree86-libs-4.2.0-6.52
XFree86-font-utils-4.2.0-6.52
XFree86-100dpi-fonts-4.2.0-6.52
XFree86-4.2.0-6.52
XFree86-xdm-4.2.0-6.52
XFree86-ISO8859-15-100dpi-fonts-4.2.0-6.52
XFree86-xfs-4.2.0-6.52
XFree86-75dpi-fonts-4.2.0-6.52
XFree86-ISO8859-15-75dpi-fonts-4.2.0-6.52
XFree86-twm-4.2.0-6.52
XFree86-devel-4.2.0-6.52
XFree86-base-fonts-4.2.0-6.52
XFree86-tools-4.2.0-6.52
[minter@localhost minter]$

And I've noticed the small font, too, on my laptop.  Seems smaller than 7.2's
version of xchat.

Comment 5 Mike A. Harris 2002-04-15 21:35:30 UTC
Please try upgrading to 4.2.0-6.666 or later.  Many font issues are fixed now.
If it works, please close bug as fixed in RAWHIDE

Comment 6 Jay Turner 2002-04-16 01:32:54 UTC
I'm getting the following:
Cannot open font:
-abisource-arial-regular-r-normal-*-*-90-*-*-p-*-iso8859-1

Here the details:
haring (jturner):~ > rpm -qa | grep XFree86
XFree86-font-utils-4.2.0-6.666
XFree86-ISO8859-15-75dpi-fonts-4.2.0-6.666
XFree86-tools-4.2.0-6.666
XFree86-ISO8859-15-100dpi-fonts-4.2.0-6.666
XFree86-base-fonts-4.2.0-6.666
XFree86-devel-4.2.0-6.666
XFree86-100dpi-fonts-4.2.0-6.666
XFree86-4.2.0-6.666
XFree86-twm-4.2.0-6.666
XFree86-libs-4.2.0-6.666
XFree86-75dpi-fonts-4.2.0-6.666
XFree86-xfs-4.2.0-6.666
XFree86-xdm-4.2.0-6.666


Comment 7 Wade Minter 2002-04-16 18:15:46 UTC
Is -6.666 in rawhide?  I don't see it on ftp.beta...

Comment 8 Wade Minter 2002-04-17 13:53:16 UTC
The problem seems to go away with XFree86-4.2.0-7 in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.